READ_LAST_EPT0_OUT_ST   EQU     040h
READ_LAST_EPT0_IN_ST    EQU     041h
READ_EPT0_OUT_ST        EQU     080h
READ_EPT0_IN_ST         EQU     081h

SEL_EPOINT_0_IN         EQU     001h
SEL_EPOINT_0_OUT	EQU	000h

SET_EPT0_OUT_ST         EQU     040h
SET_EPT0_IN_ST          EQU     041h

F_PORT_ENABLE           EQU             00h
F_PORT_SUSPEND          EQU             01h
FC_PORT_RESET           EQU             02h
F_PORT_POWER            EQU             03h
C_PORT_CONN		EQU		04h
C_PORT_ENABLE           EQU             05h
C_PORT_SUSPEND          EQU             06h
C_PORT_OVERCUR          EQU             07h
SET_STATUS_CHG_BITS	EQU	0F7h

;--------------------
REQ_SET_ADDRESS 	EQU	05H

;--------------------
FLAG_STATUS             DATA    21H             ;FLAG AND STATUS
SELF_POWER              BIT     FLAG_STATUS.0   ;HUB SELF POWERED FLAG
REMOTE_WAKE             BIT     FLAG_STATUS.1   ;HUB REMOTE WAKEUP FLAG
EPT0_OUT_STALL          BIT     FLAG_STATUS.2   ;HUB EPT0 OUT STALL FLAG
EPT0_IN_STALL           BIT     FLAG_STATUS.3   ;HUB EPT0 IN STALL FLAG
EPT1_IN_STALL           BIT     FLAG_STATUS.4   ;HUB EPT1 IN STALL FLAG
HUB_CONFIG              BIT     FLAG_STATUS.5   ;HUB CONFIGURED
;		VALIDATE_FLAG	BIT	FLAG_STATUS.6	;WRITE BUFFER FLAG
;		BIT	FLAG_STATUS.7	;


EMBED_STATUS0           DATA    22H     ;CONTAINS THE STATUS OF PORT1
;----------------
E_PORT_CONN             BIT     EMBED_STATUS0.0
E_PORT_ENABLE           BIT     EMBED_STATUS0.1
E_PORT_SUSPEND          BIT     EMBED_STATUS0.2
E_PORT_OVERCUR          BIT     EMBED_STATUS0.3
E_PORT_RESET            BIT     EMBED_STATUS0.4
E_PORT_POWER            BIT     EMBED_STATUS0.5
E_LOW_SPEED             BIT     EMBED_STATUS0.6
E_PORT_STALL            BIT EMBED_STATUS0.7
;---------------------------------
EMBED_STATUS1           DATA    23H
;--------------
E_C_PORT_CONN           BIT   EMBED_STATUS1.0
E_C_PORT_ENABLE         BIT   EMBED_STATUS1.1
E_C_PORT_SUSPEND        BIT   EMBED_STATUS1.2
E_C_PORT_OVERCUR        BIT   EMBED_STATUS1.3
E_C_PORT_RESET          BIT   EMBED_STATUS1.4
EMBED_CONFIG            BIT   EMBED_STATUS1.5   ;EMBED CONFIGURED
EMBED_REMOTE_WKUP       BIT   EMBED_STATUS1.6   ;EMBED REMOTE_WAKUP
;----------------
HUB_ADDR		DATA	09H	;address of the hub
EMB_ADDR		DATA	0EH
LAST_COM		DATA	0AH	;CONTAINS THE LAST RECEIVED REQUEST
BYTE_TO_SEND            DATA    0BH
MSG_DPH 		DATA	0CH
MSG_DPL 		DATA	0DH
