;======================================================================
;								       
;		     Copyright (C) 1994-1995 by			       
;		  Production Languages Corporation	               
;			All Rights Reserved			       
;							 	       
;			    P.O. Box 109			       
;		    Weatherford, Texas 76086-0109		       
;			   (817) 599-8363		 	       
;								       
;
;========================================================================
;                                8x930Hx
;
;                             <8x930Hx.INC>
;
;=======================================================================*/
;

;start with the 930Ax SFRs, and add from there

include "8x930ax.inc"

;       930Hx SFRs

  HTXDAT   EQU     TXDAT
  HTXCNT   EQU     TXCNT
  HTXCNTL EQU	   0f6h

  HSTAT    EQU     0aeh
  HADDR    EQU     097h

  HIE      EQU     0a1h
  HIFLG    EQU     0e8h

  HPPWR    EQU     09ah
  HPINDEX  EQU     0d4h

  HPSTAT   EQU     0d7h
  HPSC     EQU     0d5h
  HPCON    EQU     0cfh
  


;       930Hx SFR bits
  
  HRWUPE   EQU     "HSTAT.6"
  EP1STL   EQU     "HSTAT.5"
  EP1EN    EQU     "HSTAT.4"
  OVISC    EQU     "HSTAT.3"
  LPSC     EQU     "HSTAT.2"
  OVI      EQU     "HSTAT.1"
  LPS      EQU     "HSTAT.0"

  HTXD0    EQU     "HIFLG.0"
  HRXD0    EQU     "HIFLG.1"

  HPPWR4   EQU     "HPPWR.4"
  HPPWR3   EQU     "HPPWR.3"
  HPPWR2   EQU     "HPPWR.2"
  HPPWR1   EQU     "HPPWR.1"

  VPSTAT   EQU     "HPSTAT.7"
  VMSTAT   EQU     "HPSTAT.6"
  LSSTAT   EQU     "HPSTAT.5"
  PPSTAT   EQU     "HPSTAT.4"
  PRSTAT   EQU     "HPSTAT.3"
  PSSTAT   EQU     "HPSTAT.2"
  PESTAT   EQU     "HPSTAT.1"
  PCSTAT   EQU     "HPSTAT.0"

  PSTSC    EQU     "HPSC.4"
  POTSC    EQU     "HPSC.3"
  PSSC     EQU     "HPSC.2"
  PESC     EQU     "HPSC.1"
  PCSC     EQU     "HPSC.0"

